<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
      <div class="row">
          <div class="col-lg-12">
              <div class="ibox float-e-margins">
                  <div class="ibox-title">
                    <h3><strong>Manage vehicle categories</strong></h3>
                    <div class="fm-row">
                      <div class="row">
                        <div class="col-sm-4">
                            <input [(ngModel)] ="category" autocomplete = "off" name ="category" (keydown.enter)="searchCategories( )" type="text"  #item class="form-control input-sm-3" placeholder="Search For Category"/>
                        </div>
                        <div class="col-sm-8 text-right">
                            <button type="get" (click)="searchCategories();" class="btn btn-sm btn-primary blue "><i aria-hidden="true" class="fa fa-search" ></i> Search</button>
                            <button class="btn btn-sm btn-primary green" (click)="refresh()"><i aria-hidden="true" class="fa fa-refresh" ></i> Refresh</button> 
                            <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser" ></i> Reset filters</button>
                            <ng-container *ngIf="aclAdd">
                                <button type="submit" class="btn btn-primary btn-sm blue"  [routerLink]="['/admin/administration/vehicle-categories/add']" >Add new record</button>
                            </ng-container>
                        </div>
                      </div>
                    </div>
                    <div class="ibox-content">
                        <div class="table-responsive">
                            <table aria-describedby="Manage vehicle categories" class="table table-striped table-bordered table-responsive">
                                <thead>
                                <tr>
                                  <th scope="col">Image</th> 
                                  <th scope="col" (click)="sort('category')">Category
                                        <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='category' }"></i>
                                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='category' }"></i>
                                        </span>
                                      </th> 
                                 
                                  <th scope="col" (click)="sort('updated_at')">Date
                                    <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                      <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"  [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                    </span>
                                  </th> 
                                
                                <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                    <span *ngIf="searchLoader">
                                        <img src="assets/img/loader.gif" class="loader-img" alt="my DTC"/>
                                    </span>
                                <tr *ngFor="let categories of categoryData">
                                    <td>  <img  class="vehicle-img" [src]= "categories.image ? imageUrl + '/uploads/vehiclemodels/' + categories.image: '../../assets/img/vehicle.jpeg'" alt="my DTC"></td>
                                    <td>{{categories.category}} </td>
                                    <td>{{categories.updated_at | date}}</td>
                                    <td *ngIf="aclEdit || aclDelete">
                                        <span *ngIf="aclEdit" matTooltip="Edit">
                                            <a [routerLink] = "['/admin/administration/vehicle-categories/edit', categories._id]" ><i aria-hidden="true" class="fa fa-edit text-navy"  ></i></a>&nbsp;&nbsp;&nbsp;
                                        </span>
                                        <span *ngIf="aclDelete" matTooltip="Delete">
                                            <a (click)="openDialog(categories._id)"  ><i aria-hidden="true" class="fa fa-trash text-navy"  ></i> </a>
                                        </span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <br>
                        <div class="container-fluid" *ngIf="categoryLength>0">
                            <div class="row">
                                <div class="cols-md-12 text-center dataTables_info1"> 
                                        <ngb-pagination [collectionSize]="categoryLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                        aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                </div>
                            </div>
                        </div>
                            <div class="container-fluid" *ngIf="categoryLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
